Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - tor-browser-hardened

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: tor-browser-hardened 6.5a6-1

Git Clone URL: https://aur-dev.archlinux.org/tor-browser-hardened.git (read-only)
Package Base: tor-browser-hardened
Description: Tor Browser Bundle: Anonymous browsing using firefox and tor (Hardened)
Upstream URL: https://www.torproject.org/projects/torbrowser.html.en
Licenses: GPL
Submitter: parazyd
Maintainer: NextHendrix
Last Packager: NextHendrix
Votes: 17
Popularity: 2.114223
First Submitted: 2016-02-03 12:32
Last Updated: 2017-01-22 11:40

Latest Comments

1 2 3 Next › Last »

vasya commented on 2017-01-25 10:12

UPDATE:
pkgver=7.0a1
sha256sums_x86_64=('6cd3add2574e05a800e318a3a5420e066c8e83b26e35d8827f94265320d11d8f'
'SKIP')

vasya commented on 2017-01-18 20:27

NextHendrix: can you please update or orphan the package? Changes needed:

pkgver=6.5a6
sha256sums_x86_64=('03e7107d803af2e8c964980f7cbdb4f18af33e1b07867d8d1084bcede5597189'
'SKIP')

fightcookie commented on 2017-01-06 00:43

Sorry for not searching the wiki before :/
If I understand correctly you just have to update the validpgpkeys array in the PKGBUILD.
https://wiki.archlinux.org/index.php/PKGBUILD#validpgpkeys

fightcookie commented on 2017-01-06 00:15

I get this error when installing the package:

==> Verifying source file signatures with gpg...
tor-browser-linux64-6.5a5-hardened_ALL.tar.xz ... FAILED (unknown public key D1483FA6C3C07136)
==> ERROR: One or more PGP signatures could not be verified!

Isn't it possible to verify the package signature only when installing the package without importing it permanently? This would be more secure, right?

deathtrip commented on 2016-11-05 22:13

yeah, i use the latest version.
Under the vanilla kernel it starts, albeit with an error about locale selection.
Under the grsec kernel, it still doesn't start for me.

NextHendrix commented on 2016-11-01 13:17

@deathwish

are you still having problems getting this running?
have you updated to the latest 6.5a3 version, this update solved a long standing 'wont start' bug related to asan

deathtrip commented on 2016-10-23 20:38

It won't start under a grsec kernel for me. I turned off all of PaX flags, and still no luck. While the standard tor browser works fine.

vasya commented on 2016-10-20 22:37

If I understand it correctly, you also need this key to verify the download: 4096R/0xD1483FA6C3C07136 Otherwise it fails, at least for me.

NextHendrix commented on 2016-10-13 05:47

Updated to 6.5a3 and everything seems to be working just fine

deathtrip commented on 2016-10-12 10:45

the reported bug is marked as fixed. now we need an update.